package me.unurled.sacredrealms.sr.components.cutscene.recording.recordables;

import java.util.UUID;
import me.unurled.sacredrealms.sr.components.cutscene.recording.Recordable;

public class DespawnEntityRecordable extends Recordable {

  private UUID entityId;

  public DespawnEntityRecordable() {}

  public DespawnEntityRecordable(UUID entityId) {
    this.entityId = entityId;
  }

  @Override
  public void replay() {
    // TODO: fake spawn entity
  }

  public UUID entityId() {
    return entityId;
  }

  public DespawnEntityRecordable setEntityId(UUID entityId) {
    this.entityId = entityId;
    return this;
  }
}
